<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
            <section name="cosifacile.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
    </startup>
  <appSettings>
    <add key="retailPointID" value="203"/>    
    <add key="urlCheckRetailPoint" value="http://localhost:8080/cosicomodo/retailpoints/check.json?id={0}"/>
    <add key="urlPromoImg" value="http://localhost:8080/cosicomodo/img/users/{0}/promos/{1}.jpg" />
    <add key="urlSignImg" value="http://localhost:8080/cosicomodo/img/users/{0}/signs/{1}.jpg" />
    <add key="webClientTimer" value="10000"/>
    <add key="timerPromo" value="1"/>
    <add key="timerPromoDetails" value="20"/>
    <add key="timerRead" value="300"/>
    <add key="timerOrder" value="100"/>
    <add key="LogName" value="C:\\Selex\\Cosicomodo\\log\\{0}.log" />
  
    <add key="portName" value="com72" />
    <add key="baudRate" value="9600" />
    <add key="parity" value="Parity.None" />
    <add key="dataBids" value="8" />
    <add key="stopBids" value="StopBits.One" />
    
    <add key="serviceInsegna" value="MERCATO" />
    <add key="serviceSocio" value="DIMAR" />
    <add key="serviceRichiedente" value="AIM" />

    <add key="searchDays" value="15" />    
    
    <add key="FullScreenMode" value="On" />    
    
  </appSettings>
    <system.serviceModel>
        <bindings>
            <basicHttpBinding>
                <binding name="modifyOrderBinding" />
                <binding name="cancelOrderBinding" />
                <binding name="checkLoyaltyCardBinding" />
                <binding name="paymentConfirmBinding" />
                <binding name="uploadInvoiceBinding" />
                <binding name="getOrdersBinding">
                    <security mode="Transport">
                        <transport clientCredentialType="Basic" />
                    </security>
                </binding>
                <binding name="orderToPickingBinding">
                    <security mode="Transport">
                        <transport clientCredentialType="Basic" />
                    </security>
                </binding>
                <binding name="orderToDeliveryBinding" />
                <binding name="modifyOrderBinding1" />
                <binding name="cancelOrderBinding1" />
                <binding name="checkLoyaltyCardBinding1" />
                <binding name="paymentConfirmBinding1" />
                <binding name="uploadInvoiceBinding1" />
                <binding name="getOrdersBinding1" />
                <binding name="orderToPickingBinding1" />
                <binding name="orderToDeliveryBinding1" />
            </basicHttpBinding>
        </bindings>
        <client>
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/modifyOrder"
                binding="basicHttpBinding" bindingConfiguration="modifyOrderBinding"
                contract="comodoServices.modifyOrderPortType" name="modifyOrderPort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/cancelOrder"
                binding="basicHttpBinding" bindingConfiguration="cancelOrderBinding"
                contract="comodoServices.cancelOrderPortType" name="cancelOrderPort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/checkLoyaltyCard"
                binding="basicHttpBinding" bindingConfiguration="checkLoyaltyCardBinding"
                contract="comodoServices.checkLoyaltyCardPortType" name="checkLoyaltyCardPort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/paymentConfirm"
                binding="basicHttpBinding" bindingConfiguration="paymentConfirmBinding"
                contract="comodoServices.paymentConfirmPortType" name="paymentConfirmPort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/uploadInvoice"
                binding="basicHttpBinding" bindingConfiguration="uploadInvoiceBinding"
                contract="comodoServices.uploadInvoicePortType" name="uploadInvoicePort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/getOrders"
                binding="basicHttpBinding" bindingConfiguration="getOrdersBinding"
                contract="comodoServices.getOrdersPortType" name="getOrdersPort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/orderToPicking"
                binding="basicHttpBinding" bindingConfiguration="orderToPickingBinding"
                contract="comodoServices.orderToPickingPortType" name="orderToPickingPort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/orderToDelivery"
                binding="basicHttpBinding" bindingConfiguration="orderToDeliveryBinding"
                contract="comodoServices.orderToDeliveryPortType" name="orderToDeliveryPort" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/modifyOrder"
                binding="basicHttpBinding" bindingConfiguration="modifyOrderBinding1"
                contract="PickingReferences.modifyOrderPortType" name="modifyOrderPort1" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/cancelOrder"
                binding="basicHttpBinding" bindingConfiguration="cancelOrderBinding1"
                contract="PickingReferences.cancelOrderPortType" name="cancelOrderPort1" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/checkLoyaltyCard"
                binding="basicHttpBinding" bindingConfiguration="checkLoyaltyCardBinding1"
                contract="PickingReferences.checkLoyaltyCardPortType" name="checkLoyaltyCardPort1" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/paymentConfirm"
                binding="basicHttpBinding" bindingConfiguration="paymentConfirmBinding1"
                contract="PickingReferences.paymentConfirmPortType" name="paymentConfirmPort1" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/uploadInvoice"
                binding="basicHttpBinding" bindingConfiguration="uploadInvoiceBinding1"
                contract="PickingReferences.uploadInvoicePortType" name="uploadInvoicePort1" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/getOrders"
                binding="basicHttpBinding" bindingConfiguration="getOrdersBinding1"
                contract="PickingReferences.getOrdersPortType" name="getOrdersPort1" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/orderToPicking"
                binding="basicHttpBinding" bindingConfiguration="orderToPickingBinding1"
                contract="PickingReferences.orderToPickingPortType" name="orderToPickingPort1" />
            <endpoint address="https://talend-qas.cosicomodo.it/esb/services/orderToDelivery"
                binding="basicHttpBinding" bindingConfiguration="orderToDeliveryBinding1"
                contract="PickingReferences.orderToDeliveryPortType" name="orderToDeliveryPort1" />
        </client>
    </system.serviceModel>
    <applicationSettings>
        <cosifacile.Properties.Settings>
            <setting name="cosifacile_quantycaReference_modifyOrder" serializeAs="String">
                <value>https://talend-qas.cosicomodo.it/esb/services/modifyOrder</value>
            </setting>
        </cosifacile.Properties.Settings>
    </applicationSettings>
</configuration>